Package: org.apache.groovy.swing.binding

## [Java] Interface FullBinding

- org.apache.groovy.swing.binding.BindingUpdatable

- All Superinterfaces:
    BindingUpdatable

      public interface FullBinding
      extends BindingUpdatable

  Coordinates value propagation between a SourceBinding and a TargetBinding.

  Since:
    Groovy 1.1

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Closure` | `getConverter()` Returns the forward converter used before writing to the target.
    `` | `public Closure` | `getReverseConverter()` Returns the reverse converter used during reverse updates.
    `` | `public SourceBinding` | `getSourceBinding()` Returns the source side of the binding.
    `` | `public TargetBinding` | `getTargetBinding()` Returns the target side of the binding.
    `` | `public Closure` | `getValidator()` Returns the validator used before forward propagation.
    `` | `public void` | `setConverter(Closure converter)` Sets the forward converter used before writing to the target.
    `` | `public void` | `setReverseConverter(Closure reverseConverter)` Sets the reverse converter used before writing back to the source.
    `` | `public void` | `setSourceBinding(SourceBinding source)` Replaces the source side of the binding.
    `` | `public void` | `setTargetBinding(TargetBinding target)` Replaces the target side of the binding.
    `` | `public void` | `setValidator(Closure validator)` Sets a validator invoked before propagating source values to the target.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface BindingUpdatable` | `bind, rebind, reverseUpdate, unbind, update`

- - ### Method Detail

    - #### public Closure getConverter()

      Returns the forward converter used before writing to the target.

      Returns:
        the forward converter, or `null`

    - #### public Closure getReverseConverter()

      Returns the reverse converter used during reverse updates.

      Returns:
        the reverse converter, or `null`

    - #### public SourceBinding getSourceBinding()

      Returns the source side of the binding.

      Returns:
        the source binding

    - #### public TargetBinding getTargetBinding()

      Returns the target side of the binding.

      Returns:
        the target binding

    - #### public Closure getValidator()

      Returns the validator used before forward propagation.

      Returns:
        the validator closure, or `null`

    - #### public void setConverter(Closure converter)

      Sets the forward converter used before writing to the target.

      Parameters:
        `converter` - the forward converter, or `null`

    - #### public void setReverseConverter(Closure reverseConverter)

      Sets the reverse converter used before writing back to the source.

      Parameters:
        `reverseConverter` - the reverse converter, or `null`

    - #### public void setSourceBinding(SourceBinding source)

      Replaces the source side of the binding.

      Parameters:
        `source` - the new source binding

    - #### public void setTargetBinding(TargetBinding target)

      Replaces the target side of the binding.

      Parameters:
        `target` - the new target binding

    - #### public void setValidator(Closure validator)

      Sets a validator invoked before propagating source values to the target.

      Parameters:
        `validator` - the validation closure, or `null`